[ Identification | Description | Input parameters | Output parameters | Links ]

# The `Chopper_Fermi` Component

Fermi Chopper with curved slits.

## Identification

- Author: Andrew Garrett
- Origin: KEK (Japan)
- Date: 26 Nov 1998
- Version: 1.01
- Modification history:
  - EF, Mar 08th, 2000 : corrected the 'max' pb

## Description

     Fermi Chopper with curved slits.  All slits have the same radius
     of curvature.

     Note:  w and r_slit should have opposite signs.  This routine
      checks for this, and ensures the signs are opposite.  Nu is
      assumed to have the correct sign, and r_slit may be changed.
    This component was previously called Curve_fe.comp.

    Example: Fermi_Chopper(radius=0.25, nu=5000.0, delta=0,
              ymin=-0.05, ymax=0.05, w=0.01, n=50, r_slit=100)

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
radius | m | Radius of the chopper | 0.25
nu | Hz | frequency | 5000.0
delta | sec | Phase angle | 0
ymin | m | Lower y bound | -0.05
ymax | m | Upper y bound | 0.05
w | m | Width of an individual slit | 0.01
n | 1 | Number of slits | 50
r_slit | m | Radius of curvature of the slits | 100

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
omega |  |  |
r_blade |  |  |
x_width |  |  |
nn |  |  |
tdr |  |  |

## Links

- Source code for `Chopper_Fermi.comp`.
- See also Additional note from Andrew Garrett [agarrett@ccbsf0.kek.jp].

[ Identification | Description | Input parameters | Output parameters | Links ]